%define name		linux-atm
%define major		1
%define libname		lib%{name}
%define fulllibname	%mklibname %{name} %{major}
%define version		2.4.1
%define release		%mkrel 9

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tools and libraries for ATM
License:	GPL
Group:		System/Libraries
Url:		http://linux-atm.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/linux-atm/%{name}-%{version}.tar.bz2
Patch0:		linux-atm-2.4.1-gcc3.4-fix.patch.bz2
Patch1:		linux-atm-2.4.1-libtool-fixes.patch.bz2
Patch2:		linux-atm-2.4.1-64bit-fixes.patch.bz2
Patch3:		linux-atm-2.4.1-gcc4.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bison
BuildRequires:	flex
%if %{mdkversion} >= 1010
BuildRequires:	automake1.4
%endif

%description
Tools and libraries to support ATM (Asynchronous Transfer Mode)
networking and some types of DSL modems.

%package -n	%{fulllibname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{fulllibname}
This package contains libraries needed to run programs linked with %{name}.

%package -n	%{fulllibname}-devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{fulllibname} = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{fulllibname}-devel
This package contains development files needed to compile programs which
use %{name}.

%prep
%setup -q
%patch0 -p1 -b .gcc3.4
%patch1 -p1 -b .libtool-fixes
%patch2 -p1 -b .64bit-fixes
%patch3 -p1 -b .gcc4
# stick to built-in libtool 1.4
%define __libtoolize /bin/true
autoconf
automake-1.4 --foreign

%build
%configure2_5x --enable-shared
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{fulllibname} -p /sbin/ldconfig

%postun -n %{fulllibname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS THANKS BUGS
%doc COPYING COPYING.GPL COPYING.LGPL
%config(noreplace) %{_sysconfdir}/atmsigd.conf
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man4/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%files -n %{fulllibname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{fulllibname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Sun Apr 30 2006 Stefan van der Eijk <stefan@mandrake.org> 2.4.1-9mdk
- %%mkrel
- rebuild for sparc
- add URL to Source0

* Mon Aug 22 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.4.1-8mdk
- gcc4 fixes mostly from fedora

* Thu Dec 30 2004 Stefan van der Eijk <stefan@mandrake.org> 2.4.1-7mdk
- BuildRequires: byacc --> bison

* Mon Nov 15 2004 Stefan van der Eijk <stefan@mandrake.org> 2.4.1-6mdk
- BuildRequires

* Wed Oct  6 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.1-5mdk
- libtool & 64-bit fixes

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.4.1-4mdk
- fix gcc-3.4 build (P0)
- wipe out buildroot at the beginning of %%install, not %%prep

* Fri Aug 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.4.1-3mdk
- rebuild

* Tue Jul 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.4.1-2mdk
- rebuild for new rpm devel computation

* Fri Jun 13 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.4.1-1mdk
- 2.4.1

* Sun Apr 30 2003 Stefan van der Eijk <stefan@eijk.nu> 2.4.0-3mdk
- BuildRequires

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.4.0-2mdk
- rebuild

* Wed Aug 21 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.4.0-1mdk 
- first mdk release
